Package com.google.android.exoplayer2.offline

## Interface ActionFileUpgradeUtil.DownloadIdProvider

- Enclosing class:
    ActionFileUpgradeUtil

      public static interface ActionFileUpgradeUtil.DownloadIdProvider

  Provides download IDs during action file upgrade.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId​(DownloadRequest downloadRequest)` | Returns a download id for given request.

- - ### Method Detail

    - #### getId

          String getId​(DownloadRequest downloadRequest)

      Returns a download id for given request.
      Parameters:
        `downloadRequest` - The request for which an ID is required.
      Returns:
        A corresponding download ID.